Arlo

REST Auth API: PlatformEvents

PlatformEvent resources represent a event on a given platform. These events can be polled or delivered to a configured webhook.

This event is used extensively by webhook implementations to access saved events for the last 5 days.

Common tasks

PlatformEvent instance resource

Resource URI

/api/2012-02-01/auth/resources/platformevents/{PlatformEventID}/

Resource properties

Property Description
ID An integer value that uniquely identifies this resource within the platform.
Type A string representing the type of this PlatformEvent, one of Created, Updated or Deleted.
ResourceType A string representing the resource for this platformevent.
ResourceID A string representing the ID of the resource.

HTTP GET

Returns a representation of a PlatformEvent, including the properties and links above.

Optional parameters
Parameter Description
expand Expression referencing Link elements to expand when generating the response. See link expansion.
Example

GET /api/2012-02-01/auth/resources/platformevents/847/

<PlatformEvent>
    <ID>1547</ID>
    <Type>Updated</Type>
    <ResourceType>Contact</ResourceType>
    <ResourceID>10987</ResourceID>
    <Link href="https://api.arlo.co/api/2012-02-01/auth/resources/platformevents/1547/" rel="self" type="application/xml"/>
    <Link href="https://api.arlo.co/api/2012-02-01/auth/resources/contacts/10987/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Link" title="Link" type="application/xml"/>
    <Link href="https://api.arlo.co/api/2012-02-01/auth/resources/contacts/10987/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Contact" title="Contact" type="application/xml"/>
</PlatformEvent>

PlatformEvent collection resource

The PlatformEvent collection resource represents the set of PlatformEvent resources on the platform.

Resource URI

/api/2012-02-01/auth/resources/platformevents/

HTTP GET

Returns a representation of the collection as a set of Link elements which can be followed to access individual PlatformEvent resources, or link expansion can be used via the expand query parameter to inline the entities with the HTTP GET response. See querying collections for general information on handling resource collections.

Optional parameters
Parameter Description
expand Expression referencing Link elements to expand when generating the response. See link expansion.
skip Returns a subset of records from the collection, starting at index N+1 specified by this parameter. The skip and top parameters are generally used for collection paging.
top Returns a subset of records from the collection, starting at index 0 or index skip, and returns the first N records. The skip and top parameters are generally used for collection paging.
Example 1 - with no link expansion

Retrieve a collection of PlatformEvent links with the default parameters, and no link expansion.

GET /api/2012-02-01/auth/resources/platformevents/?skip=0&top=100

<PlatformEvents>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/platformevents" type="application/xml" title="PlatformEvent" href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/847/"/>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/platformevents" type="application/xml" title="PlatformEvent" href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/848/"/>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/platformevents" type="application/xml" title="PlatformEvent" href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/849/"/>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/platformevents" type="application/xml" title="PlatformEvent" href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/850/"/>
  ...
  <Link rel="next" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/?skip=100"/>
  <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/?skip=0&top=100"/>
</PlatformEvents>
Example 2 - with PlatformEvent link expansion

Retrieve a collection of PlatformEvent resources with inline PlatformEvent link expansion. The associated entity links (Contact, Registration, etc.) remain as unexpanded links.

GET /api/2012-02-01/auth/resources/platformevents/?skip=0&top=100&expand=PlatformEvent

<PlatformEvents>
  <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/847/" rel="http://schemas.arlo.co/api/2012/02/auth/related/PlatformEvent" title="PlatformEvent" type="application/xml">
    <PlatformEvent>
      <ID>847</ID>
      <Type>Updated</Type>
      <ResourceType>Contact</ResourceType>
      <ResourceID>10987</ResourceID>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/847/" rel="self" type="application/xml"/>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Link" title="Link" type="application/xml"/>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Contact" title="Contact" type="application/xml"/>
    </PlatformEvent>
  </Link>
  <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/848/" rel="http://schemas.arlo.co/api/2012/02/auth/related/PlatformEvent" title="PlatformEvent" type="application/xml">
    <PlatformEvent>
      <ID>848</ID>
      <Type>Created</Type>
      <ResourceType>Registration</ResourceType>
      <ResourceID>10988</ResourceID>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/848/" rel="self" type="application/xml"/>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/registrations/10988/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Link" title="Link" type="application/xml"/>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/registrations/10988/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Registration" title="Registration" type="application/xml"/>
    </PlatformEvent>
  </Link>
  ...
  <Link rel="next" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/?expand=PlatformEvent&skip=100"/>
  <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/?skip=0&top=100&expand=PlatformEvent"/>
</PlatformEvents>

PlatformEvent query resource

The PlatformEvent query resource provides an optimised endpoint for retrieving specific PlatformEvent resources by their IDs. Each returned PlatformEvent includes a link to the associated entity (such as a Contact, Registration, or Organisation) which can be expanded inline using link expansion.

This endpoint is designed for processing webhook callbacks: after receiving a webhook payload containing event IDs, use the ids parameter to efficiently retrieve all referenced events and their associated entities in a single request. See fetching events and related entities as a batch for a detailed walkthrough.

Resource URI

/api/2012-02-01/auth/resources/platformevents/query/

HTTP GET

Returns a representation of the collection as a set of Link elements matching the query criteria. Use link expansion via the expand query parameter to inline the PlatformEvent entities and their associated resources with the response. See querying collections for general information on handling resource collections.

Optional parameters
Parameter Description
ids A comma-separated list of PlatformEvent IDs to retrieve, up to a maximum of 20 values. Use this parameter to fetch specific events, such as those referenced in a webhook callback payload.
expand Expression referencing Link elements to expand when generating the response. See link expansion. To retrieve the full PlatformEvent details and the associated entity for each event, use expand=PlatformEvent,PlatformEvent/Link.
skip Returns a subset of records from the collection, starting at index N+1 specified by this parameter. The skip and top parameters are generally used for collection paging.
top Returns a subset of records from the collection, starting at index 0 or index skip, and returns the first N records. The skip and top parameters are generally used for collection paging.
Example 1 - fetch events by IDs with entity expansion

Retrieve three specific PlatformEvent resources by ID (from a webhook callback payload), with PlatformEvent and PlatformEvent/Link link expansion to inline the associated entities.

GET /api/2012-02-01/auth/resources/platformevents/query/?ids=108,109,110&expand=PlatformEvent,PlatformEvent/Link

<PlatformEvents>
  <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/108/" rel="http://schemas.arlo.co/api/2012/02/auth/related/PlatformEvent" title="PlatformEvent" type="application/xml">
    <PlatformEvent>
      <ID>108</ID>
      <Type>Updated</Type>
      <ResourceType>Contact</ResourceType>
      <ResourceID>10987</ResourceID>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/108/" rel="self" type="application/xml"/>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Link" title="Link" type="application/xml">
        <Contact>
          <ContactID>10987</ContactID>
          <UniqueIdentifier>2af1573a-6227-14d9-0fe2-add46279113f</UniqueIdentifier>
          <FirstName>Barry</FirstName>
          <LastName>Jones</LastName>
          <Email>barry@example.org</Email>
          <CodePrimary>JONESBA01</CodePrimary>
          <PhoneWork>04 9700 19332</PhoneWork>
          <PhoneHome>04 9712 00234</PhoneHome>
          <PhoneMobile>021 1234 56890</PhoneMobile>
          <Status>Active</Status>
          <CreatedDateTime>2011-10-17T03:51:29.577Z</CreatedDateTime>
          <LastModifiedDateTime>2011-10-19T02:55:42.412Z</LastModifiedDateTime>
          <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/customfields/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/postaladdress/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Employment" type="application/xml" title="Employment" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/employment/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TimeZone" type="application/xml" title="TimeZone" href="https://demo.arlo.co/api/2012-02-01/auth/resources/timezones/2/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/integrationdata"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Registrations" type="application/xml" title="Registrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/registrations/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/regions/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Marketing" type="application/xml" title="Marketing" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/marketing/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PresenterIdentity" type="application/xml" title="PresenterIdentity" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/presenteridentity/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Security" type="application/xml" title="Security" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/security/"/>
        </Contact>
      </Link>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/10987/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Contact" title="Contact" type="application/xml"/>
    </PlatformEvent>
  </Link>
  <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/109/" rel="http://schemas.arlo.co/api/2012/02/auth/related/PlatformEvent" title="PlatformEvent" type="application/xml">
    <PlatformEvent>
      <ID>109</ID>
      <Type>Updated</Type>
      <ResourceType>Organisation</ResourceType>
      <ResourceID>10988</ResourceID>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/109/" rel="self" type="application/xml"/>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/10988/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Link" title="Link" type="application/xml">
        <Organisation>
          <OrganisationID>10988</OrganisationID>
          <Name>Acme Consultants</Name>
          <LegalName>Acme Consultants Limited</LegalName>
          <Email>admin@acme.example.org</Email>
          <CodePrimary>ACMECONSUL04</CodePrimary>
          <CodeSecondary>74-582-821</CodeSecondary>
          <PhonePrimary>+64 4 211 2334</PhonePrimary>
          <PhoneSecondary>+64 4 211 2334 ext 231</PhoneSecondary>
          <WebsiteUrl>acme.example.org</WebsiteUrl>
          <Status>Active</Status>
          <CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime>
          <LastModifiedDateTime>2009-11-25T02:11:32.174Z</LastModifiedDateTime>
          <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/10988/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/10988/postaladdress/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/AccountManager" type="application/xml" title="AccountManager" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/32/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContact" type="application/xml" title="KeyContact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/683/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/10988/childorganisations/"/>
        </Organisation>
      </Link>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/10988/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Organisation" title="Organisation" type="application/xml"/>
    </PlatformEvent>
  </Link>
  <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/110/" rel="http://schemas.arlo.co/api/2012/02/auth/related/PlatformEvent" title="PlatformEvent" type="application/xml">
    <PlatformEvent>
      <ID>110</ID>
      <Type>Created</Type>
      <ResourceType>Registration</ResourceType>
      <ResourceID>10989</ResourceID>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/110/" rel="self" type="application/xml"/>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/registrations/10989/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Link" title="Link" type="application/xml">
        <Registration>
          <RegistrationID>10989</RegistrationID>
          <UniqueIdentifier>730dd1df-4a0c-4660-9267-51670807b843</UniqueIdentifier>
          <Attendance>Attended</Attendance>
          <Outcome>Pass</Outcome>
          <Grade>A+ (92%)</Grade>
          <Status>Approved</Status>
          <ProgressPercent>75.0</ProgressPercent>
          <ProgressStatus>Module 4B in progress</ProgressStatus>
          <Status>Completed</Status>
          <CertificateSentDateTime>2018-05-29T00:20:11.3165591Z</CertificateSentDateTime>
          <CreatedDateTime>2011-10-28T22:42:13.95Z</CreatedDateTime>
          <LastModifiedDateTime>2011-03-23T09:25:09.483Z</LastModifiedDateTime>
          <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/registrations/10989/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/registrations/10989/customfields/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Event" type="application/xml" title="Event" href="https://demo.arlo.co/api/2012-02-01/auth/resources/events/176/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/872/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/SourceInfo" type="application/xml" title="SourceInfo" href="https://demo.arlo.co/api/2012-02-01/auth/resources/registrations/10989/sourceinfo/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/SessionRegistrations" type="application/xml" title="SessionRegistrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/registrations/10989/sessionregistrations/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/OptionRegistrations" type="application/xml" title="OptionRegistrations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/registrations/10989/optionregistrations/"/>
          <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/OrderLine" type="application/xml" title="OrderLine" href="https://demo.arlo.co/api/2012-02-01/auth/resources/orderlines/23990/"/>
        </Registration>
      </Link>
      <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/registrations/10989/" rel="http://schemas.arlo.co/api/2012/02/auth/related/Registration" title="Registration" type="application/xml"/>
    </PlatformEvent>
  </Link>
  <Link href="https://demo.arlo.co/api/2012-02-01/auth/resources/platformevents/query/?ids=109,110" rel="self" type="application/xml"/>
</PlatformEvents>